import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:provider/provider.dart';
import 'package:yumi/ui_kit/components/sc_debounce_widget.dart';
import 'package:yumi/ui_kit/components/text/sc_text.dart';
import 'package:yumi/app/routes/sc_fluro_navigator.dart';
import 'package:yumi/services/audio/rtc_manager.dart';
import 'package:yumi/ui_kit/widgets/room/room_banner_view.dart';
import '../../../modules/index/main_route.dart';
import '../../../services/audio/rtm_manager.dart';

class RoomPlayWidget extends StatefulWidget {
  @override
  _RoomPlayWidgetState createState() => _RoomPlayWidgetState();
}

class _RoomPlayWidgetState extends State<RoomPlayWidget> {
  @override
  Widget build(BuildContext context) {
    return Consumer<RtcProvider>(
      builder: (context, ref, child) {
        return Column(
          crossAxisAlignment: CrossAxisAlignment.end,
          children: [
            Expanded(
              child: Row(
                mainAxisAlignment: MainAxisAlignment.end,
                children: [
                  Container(
                    alignment: Alignment.bottomCenter,
                    child: SingleChildScrollView(
                      child: Row(
                        mainAxisSize: MainAxisSize.min,
                        children: [
                          Column(
                            children: [
                              Container(
                                height: 56.w,
                                margin: EdgeInsets.symmetric(vertical: 5.w),
                                child: RoomBannerView(),
                              ),
                              SizedBox(height: 10.w),
                            ],
                          ),
                          SizedBox(width: 10.w),
                        ],
                      ),
                    ),
                  ),
                ],
              ),
            ),
          ],
        );
        ;
      },
    );
  }
}
